#if defined _adminload_included
	#endinput
#endif

#define _adminload_included

/**
 * Executed if error load from DB (bad connection/query)
 */
forward adminload_sql_fail();

/**
 * Executed when admins are loaded or reloaded
 *
 * @param reload 	1 - if reloaded, 1 - if loaded
 */
forward adminload_loaded(reload);

/**
 * Reload admins
 *
 * @return          Nothing
 */
native adminload_reloadadmins();

/**
 * Return server ID in database
 *
 * @return          server ID in database
 */
native adminload_get_server_id();

/**
 * Returns admin ID
 *
 * @param id   		The player id
 *
 * @return          admin ID if admin has been loaded from DB or 0 otherwise
 */
native adminload_get_id(id);

/**
 * Returns if player has been found in admins
 *
 * @param id   		The player id
 *
 * @return          1 if player is admin, 0 otherwise
 */
native adminload_is_admin(id);

/**
 * Returns date of expired in UNIX TIMESTAMP format
 *
 * @param id   		The player id
 *
 * @return          date or 0 if expired never
 */
native adminload_get_expired(id);

/**
 * Returns days left
 *
 * @param id   		The player id
 *
 * @return          days left or 0 if expired never
 */
stock adminload_get_daysleft(id)
{
	new expired = adminload_get_expired(id);
	return expired > 0 ? max(1, (expired - get_systime()) / 86400) : 0;
}